# Maintainer: Rafael <rafael@rebornos.org>
# PKGBUILD modified for use with Gitlab code

pkgname=new-cnchi
codename=new-cnchi-code
lname=locale
ccommit=086f425444854b8010111d6139de6eb97bef38bc
lcommit=e8d23d7c4ae4ca82d91a4f696eeb9377aeac24e3
pkgver=20211019
pkgrel=1
pkgdesc='New cnchi code installer. Do not install it on a computer that is already running RebornOS.'
arch=('any')
url='https://gitlab.com/rebornos-team/installers/cnchi'
license=('GPL3')
depends=(git)
source=("git+${url}/${codename}#commit=${ccommit}"
        "git+${url}/code/${lname}#commit=${lcommit}")
sha256sums=('SKIP' 'SKIP')
       
pkgver() {
    date +%Y%m%d
     }

package() {
    install -d ${pkgdir}/usr/share/cnchi
    install -d ${pkgdir}/usr/share/locale
    install -d ${pkgdir}/usr/share/licenses/${pkgname}
    cp -r ${srcdir}/${codename}/* ${pkgdir}/usr/share/cnchi
    cp -r ${srcdir}/${lname}/${lname}/* ${pkgdir}/usr/share/${lname}
    install -m 644 ${srcdir}/${codename}/LICENSE ${pkgdir}/usr/share/licenses/${pkgname}
    find ${pkgdir}/usr/share/cnchi -type f -exec chmod 644 {} \;
    find ${pkgdir}/usr/share/locale -type f -exec chmod 644 {} \;
    find ${pkgdir}/usr/share/cnchi -type d -exec chmod 755 {} \;
    find ${pkgdir}/usr/share/locale -type d -exec chmod 755 {} \;
    }

